> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Search and page customer-app users, newest first.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/auth/users
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/auth/users:
    get:
      tags:
        - appauth
      summary: List Users
      description: Search and page customer-app users, newest first.
      operationId: appauth.listUsers
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: Opaque cursor from the previous page.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: Page size from 1 to 100. Defaults to 50.
        - name: search
          in: query
          required: false
          schema:
            type: string
          description: Case-insensitive email or name search.
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - active
              - disabled
          description: Filter by access state.
      responses:
        '200':
          description: A page of app users.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        email:
                          type: string
                          format: email
                        emailVerified:
                          type: boolean
                        name:
                          type:
                            - string
                            - 'null'
                        image:
                          type:
                            - string
                            - 'null'
                        disabledAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                        lastSignInAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        lastActiveAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - email
                        - emailVerified
                        - name
                        - image
                        - disabledAt
                        - createdAt
                        - lastSignInAt
                        - lastActiveAt
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
        '404':
          description: No such project or app-auth resource in this organization.
        '422':
          description: Invalid configuration or request.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````